Community
Inventor Programming - iLogic, Macros, AddIns & Apprentice
Inventor iLogic, Macros, AddIns & Apprentice Forum. Share your knowledge, ask questions, and explore popular Inventor topics related to programming, creating add-ins, macros, working with the API or creating iLogic tools.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Extend and Trim in Inventor 2014

4 REPLIES 4
Reply
Message 1 of 5
kulkary
229 Views, 4 Replies

Extend and Trim in Inventor 2014

I have two Surface bodies apart from each other (but, sort of, perpendicular, L like). How can I extend, trim and stitch them to form a single surface body.

4 REPLIES 4
Message 2 of 5
YuhanZhang
in reply to: kulkary

In Inventor 2014 you can use the Combine(Part->3D Model->Modify->Combine) command to merge two solids into a single solid. 



If this solves the problem please click ACCEPT SOLUTION so other people can find it easily.



Rocky Zhang
Inventor API PD
Manufacturing Solutions
Autodesk, Inc.

Message 3 of 5
kulkary
in reply to: YuhanZhang

I am looking for APIs for surfaces.
Message 4 of 5
philippe.leefsma
in reply to: kulkary

As Rocky mentioned, you can use a CombineFeature to merge solid bodies:

 

Sub CombineBodies()

        Dim doc As PartDocument
        Set doc = ThisApplication.ActiveDocument

        Dim def As PartComponentDefinition
        Set def = doc.ComponentDefinition

        Dim baseBody As SurfaceBody
        Set baseBody = def.SurfaceBodies(1)

        Dim toolBodies As ObjectCollection
        Set toolBodies = _
            ThisApplication.TransientObjects.CreateObjectCollection

        toolBodies.Add def.SurfaceBodies(2)

        Dim combineFeature As combineFeature
        Set combineFeature = def.features.CombineFeatures.Add( _
            baseBody, toolBodies, kCutOperation, True)

End Sub

For surfaces, you use a knit (stitch) feature. See "KnitFeatures.Add Method" in the help files.

 

ExtendFeature and TrimFeature creation is not exposed in the API.

 

I hope that helps,

Philippe.

 



Philippe Leefsma
Developer Technical Services
Autodesk Developer Network

Message 5 of 5
kulkary
in reply to: philippe.leefsma

In case of surfaces, if they are near to each other at boundaries, then it seems to work. But if one surface is perpendicular to the orher, in the middle, like letter "T", then stitching does not happen. It should trim at the intersection, create edge and then stitch. Any solution to get "T" like stitching of surfaces?

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report